import type { Intent } from '../Typography/Typography.types';
export declare const focusBlue: string;
/**
 * Using box-shadow only, will not change size with a border.
 */
export declare const focusable: import("styled-components").FlattenSimpleInterpolation;
export declare function getGapOutlineFocus(): import("styled-components").FlattenSimpleInterpolation;
export declare const defaultTransition: import("styled-components").FlattenSimpleInterpolation;
export declare function getEllipsis(): import("styled-components").FlattenSimpleInterpolation;
/**
 * `border` is used instead of `outline` intentionally - as `outline` can't handle `border-radius`
 * (rounded elements will still have square outline)
 */
export declare function getFocus(): import("styled-components").FlattenSimpleInterpolation;
export declare function getLineClamp(lines?: number): import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<{
    intent?: Intent | undefined;
}, any>>;
